package com.tofly.watermeter.custom.mapper.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.NewInstallDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface NewInstallMapper {

    List<Map> count(@Param("dto") NewInstallDto dto);

    Page<Map> countByDept(Page page, @Param("dto") NewInstallDto dto);

    List<Map> countByDept(@Param("dto") NewInstallDto dto);

    Page<Map> queryInfo(Page page, @Param("dto") NewInstallDto dto);

    List<Map> queryInfo(@Param("dto") NewInstallDto dto);

}
